metadefs.h File Reference

Main Page Alphabetical List Data Structures File List Data Fields Globals

# metadefs.h File Reference

## Defines

#define | MM_TEXT 1
#define | MM_LOMETRIC 2
#define | MM_HIMETRIC 3
#define | MM_LOENGLISH 4
#define | MM_HIENGLISH 5
#define | MM_TWIPS 6
#define | MM_ISOTROPIC 7
#define | MM_ANISOTROPIC 8
#define | MM_DPI 9
#define | META_SAVEDC 0x001E
#define | META_REALIZEPALETTE 0x0035
#define | META_SETPALENTRIES 0x0037
#define | META_CREATEPALETTE 0x00f7
#define | META_SETBKMODE 0x0102
#define | META_SETMAPMODE 0x0103
#define | META_SETROP2 0x0104
#define | META_SETPOLYFILLMODE 0x0106
#define | META_SETSTRETCHBLTMODE 0x0107
#define | META_SETTEXTCHAREXTRA 0x0108
#define | META_RESTOREDC 0x0127
#define | META_INVERTREGION 0x012A
#define | META_PAINTREGION 0x012B
#define | META_SELECTCLIPREGION 0x012C
#define | META_SELECTOBJECT 0x012D
#define | META_SETTEXTALIGN 0x012E
#define | META_DIBCREATEPATTERNBRUSH 0x0142
#define | META_DELETEOBJECT 0x01f0
#define | META_SETBKCOLOR 0x0201
#define | META_SETTEXTCOLOR 0x0209
#define | META_SETTEXTJUSTIFICATION 0x020A
#define | META_SETWINDOWORG 0x020B
#define | META_SETWINDOWEXT 0x020C
#define | META_SETVIEWPORTORG 0x020D
#define | META_SETVIEWPORTEXT 0x020E
#define | META_OFFSETWINDOWORG 0x020F
#define | META_OFFSETVIEWPORTORG 0x0211
#define | META_LINETO 0x0213
#define | META_MOVETO 0x0214
#define | META_OFFSETCLIPRGN 0x0220
#define | META_FILLREGION 0x0228
#define | META_SETMAPPERFLAGS 0x0231
#define | META_SELECTPALETTE 0x0234
#define | META_CREATEFONTINDIRECT 0x02FB
#define | META_CREATEPENINDIRECT 0x02FA
#define | META_CREATEBRUSHINDIRECT 0x02FC
#define | META_POLYGON 0x0324
#define | META_POLYLINE 0x0325
#define | META_SCALEWINDOWEXT 0x0410
#define | META_SCALEVIEWPORTEXT 0x0412
#define | META_EXCLUDECLIPRECT 0x0415
#define | META_INTERSECTCLIPRECT 0x0416
#define | META_ELLIPSE 0x0418
#define | META_FLOODFILL 0x0419
#define | META_RECTANGLE 0x041B
#define | META_SETPIXEL 0x041F
#define | META_FRAMEREGION 0x0429
#define | META_TEXTOUT 0x0521
#define | META_POLYPOLYGON 0x0538
#define | META_EXTFLOODFILL 0x0548
#define | META_ROUNDRECT 0x061C
#define | META_PATBLT 0x061D
#define | META_ESCAPE 0x0626
#define | META_CREATEREGION 0x06FF
#define | META_ARC 0x0817
#define | META_PIE 0x081A
#define | META_CHORD 0x0830
#define | META_DIBBITBLT 0x0940
#define | META_EXTTEXTOUT 0x0a32
#define | META_DIBSTRETCHBLT 0x0b41
#define | META_SETDIBTODEV 0x0d33
#define | META_STRETCHDIB 0x0f43
#define | ERROR 0
#define | NULLREGION 1
#define | SIMPLEREGION 2
#define | COMPLEXREGION 3
#define | RGN_AND 1
#define | RGN_OR 2
#define | RGN_XOR 3
#define | RGN_DIFF 4
#define | RGN_COPY 5
#define | CLIP_INTERSECT 0x0001
#define | CLIP_EXCLUDE 0x0002
#define | CLIP_KEEPRGN 0x0004

## Define Documentation

#define CLIP_EXCLUDE 0x0002

#define CLIP_INTERSECT 0x0001

#define CLIP_KEEPRGN 0x0004

#define COMPLEXREGION 3

#define ERROR 0

#define META_ARC 0x0817

#define META_CHORD 0x0830

#define META_CREATEBRUSHINDIRECT 0x02FC

#define META_CREATEFONTINDIRECT 0x02FB

#define META_CREATEPALETTE 0x00f7

#define META_CREATEPENINDIRECT 0x02FA

#define META_CREATEREGION 0x06FF

#define META_DELETEOBJECT 0x01f0

#define META_DIBBITBLT 0x0940

#define META_DIBCREATEPATTERNBRUSH 0x0142

#define META_DIBSTRETCHBLT 0x0b41

#define META_ELLIPSE 0x0418

#define META_ESCAPE 0x0626

#define META_EXCLUDECLIPRECT 0x0415

#define META_EXTFLOODFILL 0x0548

#define META_EXTTEXTOUT 0x0a32

#define META_FILLREGION 0x0228

#define META_FLOODFILL 0x0419

#define META_FRAMEREGION 0x0429

#define META_INTERSECTCLIPRECT 0x0416

#define META_INVERTREGION 0x012A

#define META_LINETO 0x0213

#define META_MOVETO 0x0214

#define META_OFFSETCLIPRGN 0x0220

#define META_OFFSETVIEWPORTORG 0x0211

#define META_OFFSETWINDOWORG 0x020F

#define META_PAINTREGION 0x012B

#define META_PATBLT 0x061D

#define META_PIE 0x081A

#define META_POLYGON 0x0324

#define META_POLYLINE 0x0325

#define META_POLYPOLYGON 0x0538

#define META_REALIZEPALETTE 0x0035

#define META_RECTANGLE 0x041B

#define META_RESTOREDC 0x0127

#define META_ROUNDRECT 0x061C

#define META_SAVEDC 0x001E

#define META_SCALEVIEWPORTEXT 0x0412

#define META_SCALEWINDOWEXT 0x0410

#define META_SELECTCLIPREGION 0x012C

#define META_SELECTOBJECT 0x012D

#define META_SELECTPALETTE 0x0234

#define META_SETBKCOLOR 0x0201

#define META_SETBKMODE 0x0102

#define META_SETDIBTODEV 0x0d33

#define META_SETMAPMODE 0x0103

#define META_SETMAPPERFLAGS 0x0231

#define META_SETPALENTRIES 0x0037

#define META_SETPIXEL 0x041F

#define META_SETPOLYFILLMODE 0x0106

#define META_SETROP2 0x0104

#define META_SETSTRETCHBLTMODE 0x0107

#define META_SETTEXTALIGN 0x012E

#define META_SETTEXTCHAREXTRA 0x0108

#define META_SETTEXTCOLOR 0x0209

#define META_SETTEXTJUSTIFICATION 0x020A

#define META_SETVIEWPORTEXT 0x020E

#define META_SETVIEWPORTORG 0x020D

#define META_SETWINDOWEXT 0x020C

#define META_SETWINDOWORG 0x020B

#define META_STRETCHDIB 0x0f43

#define META_TEXTOUT 0x0521

#define MM_ANISOTROPIC 8

#define MM_DPI 9

#define MM_HIENGLISH 5

#define MM_HIMETRIC 3

#define MM_ISOTROPIC 7

#define MM_LOENGLISH 4

#define MM_LOMETRIC 2

#define MM_TEXT 1

#define MM_TWIPS 6

#define NULLREGION 1

#define RGN_AND 1

#define RGN_COPY 5

#define RGN_DIFF 4

#define RGN_OR 2

#define RGN_XOR 3

#define SIMPLEREGION 2